### php.java.bridge

# Class Util.HeaderParser

- `java.lang.Object`

- `php.java.bridge.Util.HeaderParser`

Enclosing Class:
  Util

`public static class Util.HeaderParser`
`extends java.lang.Object`

A procedure class which can be used to capture the HTTP header strings. Example:
`Util.parseBody(buf, natIn, out, new Util.HeaderParser() {protected void parseHeader(String header) {System.out.println(header);}});
`

Author:
  jostb

See Also:
  `Util.parseBody(byte[],InputStream,OutputStream,Util.HeaderParser)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`